<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>GitLab • On-demand scans</title>
  <link rel="stylesheet" href="css/reset.css">
  <link
    href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500&display=swap"
    rel="stylesheet">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="css/all.css">
  <!--    <link src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">-->
  <link rel="stylesheet" href="css/bootstrap-drawer.css">
  <link rel="stylesheet" href="css/styles.css">
  <link rel="stylesheet" href="css/dast.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.2.2/jquery.min.js"></script>
  <script src="https://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="libraries/fontawesome.min.css" />
  <script language="javascript" src="libraries/fontawesome.min.js"></script>
</head>

<body>
  <nav> <img src="assets/front.png" alt=""> <img src="assets/end.png" alt=""> </nav>
  <div class="leftnav"> <img src="assets/top.png" alt=""> <img src="assets/bottom.png" alt="">
    <div class="secmenu"> </div>
    <div class="secmenuitems">
      <ul>
        <li>Security and compliance</li>
        <li>Security dashboard</li>
        <li>Vulnerability report</li>
        <li><a href="ondemand.html">On-demand scans</a></li>
        <li>Dependency list</li>
        <li>License compliance</li>
        <li><a href="index.html">Threat monitoring</a></li>
        <li><a href="policies.html">Policies</a></li>
        <li><a href="ondemand-manage.html">Configuration</a></li>
      </ul>
    </div>
  </div>
  <main class="main_container">
    <div class="container">
 <div class="breakcrumb">
        <p><span>Security and Compliance</span> > <span><a href="ondemand-manage.html">Manage on-demand scans</a></span> > <span style="font-weight: bold;">On-demand scans</span>
      </div>
      <h2>Create on-demand DAST scan</h2>
      <p>On-demand scans run outside of code changes and MRs. <a href="">Learn more.</a></p>

      <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">Scanner profile</h3>
        </div>
        <div class="panel-body">
          <strong>Select scanner profile</strong>
          <div class="dropdown">
            <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown"
              aria-haspopup="true" aria-expanded="true">
              Test scan (Active scan)
              <span class="caret"></span>
            </button>
            <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
              <li><a href="#">Test scan (Active scan)</a></li>
              <li><a href="#">Scan 2</a></li>
              <li><a href="#">Another scan</a></li>
              <li><a href="#">Scan 3</a></li>
            </ul>
          </div>
          <br />
          <table class="table">
            <tbody>
              <tr>
                <td>Scan mode: <strong>Active</strong></td>
              </tr>
              <tr>
                <td>Spider time out: <strong>1 minute</strong></td>
                <td>Target time out: <strong>60 seconds</strong></td>
              </tr>
              <tr>
                <td>Rule to exclude: <strong>None</strong></td>
                <td>CLI option: <strong>None</strong></td>
              </tr>
              <tr>
                <td>Ajax spider: <strong>Off</strong></td>
                <td>Alpha rule set: <strong>Don't include Alpha rules</strong></td>
              </tr>
              <tr>
                <td>Debug messages: <strong>Hide debug messages</strong></td>
                <td>Auto update add-ons: <strong>Don't auto update add-ons</strong></td>
              </tr>
              <tr>
                <td>Additional report formats: <strong>None</strong></td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>

      <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">Site profile</h3>
        </div>
        <div class="panel-body">
          <strong>Select site profile</strong>
          <div class="dropdown">
            <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown"
              aria-haspopup="true" aria-expanded="true">
              Test site 1: www.example.com/default
              <span class="caret"></span>
            </button>
            <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
              <li><a href="#">Test site 1: www.example.com/default</a></li>
              <li><a href="#">Test site 2: www.example.com/login</a></li>
              <li><a href="#">3: www.example.com/page/4</a></li>
              <li><a href="#">Another site: wwww.something.else</a></li>
            </ul>
          </div>
          <br />
          <table class="table">
            <tbody>
              <tr>
                <td>Target site: <strong>http://example.com</strong></td>
              </tr>
              <tr>
                <td>Authenticated URL: <strong>http://example.com/default/login</strong></td>
              </tr>
              <tr>
                <td>Username: <strong>test@example.com</strong></td>
              </tr>
              <tr>
                <td>Username form field: <strong>login_example</strong></td>
                <td>Password form field: <strong>pw_example</strong></td>
              </tr>
              <tr>
                <td>Excluded URLs: <strong>None</strong></td>
                <td>Additional request URLs: <strong>None</strong></td>
              </tr>
            </tbody>
          </table>
          </div>
        </div>
      </div>

    </div>
  </main>
  <script src="js/bootstrap-drawer.js"></script>
  <script src="js/kanban.js"></script>
</body>

</html>
